> ## Name

> cgDestroyProgram - destroy a program

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgDestroyProgram( CGprogram program );

> ## Parameters

> program
>   The program object to delete.

> ## Return Values

> None.

> ## Description

> cgDestroyProgram removes the specified program object and all its associated data. Any CGprogram variables that reference this program will become invalid after the program is deleted. Likewise, any objects contained by this program (e.g. CGparameter objects) will also become invalid after the program is deleted.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgDestroyProgram was introduced in Cg 1.1.

> ## See Also

> cgCreateProgram, cgCreateProgramFromFile